﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Dakaris.Model.StaticData
{
    public class GirlyName
    {
        public static string GetGirlyName(long Id)
        {
            int index = (int)Id % 100;
            return "Miss " + GetGirlyNameList()[index];
        }

        private static List<string> GetGirlyNameList()
        {
            return new List<string>
            {
                "Adelina",
                "Amelia",
                "Angelique",
                "Antonella",
                "Aurelie",
                "Aurora",
                "Bethany",
                "Bianca",
                "Brinley",
                "Callie",
                "Cutie",
                "Carolina",
                "Emmanuelle",
                "Evangeline",
                "Fiona",
                "Francesca",
                "Florentina",
                "Francesca",
                "Gardenia",
                "Genevieve",
                "Briony",
                "Brynlee",
                "Clementine",
                "Delaney",
                "Camelia",
                "Adriana",
                "Annamaria",
                "Amandine",
                "Ambrosia",
                "Amira",
                "Angella",
                "Alexandria",
                "Angelina",
                "Avyanna",
                "Blanche",
                "Blakely",
                "Beatrice",
                "Camryn",
                "Carolina",
                "Catherine",
                "Georgiana",
                "Gloria",
                "Harmony",
                "Jacqueline",
                "Jennie",
                "Lovely",
                "Leoni",
                "Lucille",
                "Melisande",
                "Melissa",
                "Mihika",
                "Mellania",
                "Michelle",
                "Namritha",
                "Natalia",
                "Nimrith",
                "Olivia",
                "Jasmine",
                "Jessica",
                "Johanna",
                "Judith",
                "Juliette",
                "Julianna",
                "Karishma",
                "Katherine",
                "Kulfie",
                "Pandora",
                "Primrose",
                "Rishima",
                "Romily",
                "Sasha",
                "Saaritha",
                "Shagun",
                "Rosemary",
                "Roshalia",
                "Sally",
                "Sarah",
                "Scordia",
                "Jessie",
                "Jennifer",
                "Daleyza",
                "Eliza",
                "Elisabetta",
                "Emiliana",
                "Bridgette",
                "Journee",
                "Jasinda",
                "Stephanie",
                "Sienna",
                "Shoshanna",
                "Sverine",
                "Sydney",
                "Valentina",
                "Shanelle",
                "Sherine",
                "Sylvia",
                "Rebecca",
                "Rosetta",
                "Victoria",
                "Vienna",
                "Vanessa"
            };
        }
    }
}
